Summary:	A console-based network monitoring program
Name:		iptraf
Version:	3.0.1
Release:	%mkrel 1
Group:		Monitoring
License:	GPLv2+
URL:		http://iptraf.seul.org/
Source0:	ftp://iptraf.seul.org/pub/iptraf/%{name}-%{version}.tar.gz
Source1:	iptraf 
Patch0:		iptraf-2.4.0-Makefile.patch
Patch1:		iptraf-2.7.0-install.patch
Patch2:		iptraf-2.7.0-doc.patch
Patch3:		iptraf-2.7.0-nostrip.patch
Patch4:		iptraf-3.0.0-setlocale.patch
Patch5:		iptraf-3.0.0-longdev.patch
Patch6:		iptraf-3.0.1-compile.fix.patch
Patch7:		iptraf-3.0.0-in_trafic.patch
Patch8:		iptraf-3.0.1-incltypes.patch
Patch9:		iptraf-3.0.0-ifname.patch
Patch10:	iptraf-3.0.0-interface.patch
Patch11:	iptraf-3.0.1-ipv6.patch
Patch12:	iptraf-3.0.1-ipv6-fix.patch
BuildRequires:	ncurses-devel
BuildRequires:	libncursesw-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

Current TCP connections UDP, ICMP, OSPF, and other types of IP packets
Packet and byte counts on TCP connections IP, TCP, UDP, ICMP, non-IP,
and other packet and byte counts TCP/UDP counts by ports Interface
activity Flag statuses on TCP packets LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, and SLIP/PPP interfaces.

%prep

%setup -q -n %{name}-%{version}
%patch6 -p1 -b .compile
%patch11 -p1 -b .ipv6
%patch12 -p1 -b .ipv6-fix
%patch0 -p1 -b .Makefile
%patch1 -p1 -b .install
%patch2 -p1 -b .doc
%patch3 -p1 -b .nostrip
%patch4 -p1 -b .setlocale
%patch5 -p1 -b .longdev
%patch7 -p1 -b .in_trafic
%patch8 -p1 -b .incltypes
%patch9 -p0 -b .ifname
%patch10 -p1 -b .interface



%build
%serverbuild

%make -C src \
    TARGET=%{_prefix}/sbin \
    LOCKDIR=/var/lock/iptraf \
    LOGDIR=/var/log/iptraf \
    WORKDIR=%{_localstatedir}/lib/iptraf

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}/var/log/iptraf
install -d %{buildroot}/var/lock/iptraf
install -d %{buildroot}%{_localstatedir}/lib/iptraf

install -m 755 src/{iptraf,rvnamed} %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/iptraf

install -d %{buildroot}%{_mandir}/man8
install -m644 Documentation/*.8 %{buildroot}%{_mandir}/man8


# clean up
rm -f Documentation/Makefile
rm -f Documentation/iptraf.xpm
rm -f Documentation/manual.template.gz
rm -f Documentation/version.awk
rm -f Documentation/version
rm -f Documentation/stylesheet-images/.eps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README* FAQ
%doc Documentation
%dir %attr(644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/iptraf
%{_sbindir}/*
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/iptraf
%dir /var/log/iptraf
%dir /var/lock/iptraf



%changelog
* Fri Jan 09 2009 Emmanuel Andry <eandry@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 327286
- New version 3.0.1
- sync patches with Fedora
- use logrotate

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.0-8mdv2009.0
+ Revision: 247258
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Feb 05 2008 Emmanuel Andry <eandry@mandriva.org> 3.0.0-6mdv2008.1
+ Revision: 162896
- add patches from pardus for IPv6 support

* Wed Jan 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.0-5mdv2008.1
+ Revision: 153722
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.org> 3.0.0-4mdv2008.0
+ Revision: 79492
- fix build deps (libncursesw-devel)
- sync with iptraf-3.0.0-7.fc8.src.rpm to make it compile

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 3.0.0-3mdv2008.0
+ Revision: 22393
- Add patch to fix wrong includes
- Rebuild
- Import iptraf



* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-2mdk
- fix FHS and URL
- remove the annoying splash
- sync with fedora P2,P3,P4 (3.0.0-2)

* Fri Dec 16 2005 Erwan Velu <erwan@seanodes.com> 3.0.0-1mdk
- 3.0.0

* Fri Sep 30 2005 Couriousous <couriousous@mandriva.org> 2.7.0-7mdk
- Try to fix include mess

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-6mdk
- rebuild

* Tue Sep 09 2003  Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-5mdk
- Fix Bug #3460 : move iptraf in /usr/sbin since it need root
  privileges.

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 2.7.0-4mdk
- buildrequires

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-3mdk
- rebuild

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.7.0-2mdk
- build release
- misc spec file fixes

* Tue May 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0

* Sun May 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.1-1mdk
- 2.6.1

* Wed May 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.0-1mdk
- 2.6.0
- add %%doc FAQ, manual.html, *.gif

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-3mdk
- rebuild

* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-2mdk
- /var/run/iptraf, thx Ural Khassanov

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Fri Aug 03 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-1mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-2mdk
- rebuild

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk 
- updated to 2.3.1

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-3mdk
- hopefully this time is fixed, works on a cooker

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- fix configure from Florin Grad

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- v2.2.2 

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
- Updated to version 2.0.1
- Repacked for Linux Mandrake

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
